Bug 329191 - Non-visible selection marquee after loading a .kra file
Summary: Non-visible selection marquee after loading a .kra file
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools (show other bugs)
Version: 2.8 Beta
Platform: Microsoft Windows Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-24 12:16 UTC by Michel T Gonzalez
Modified: 2013-12-28 14:58 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michel T Gonzalez 2013-12-24 12:16:38 UTC
If you save a .kra project while a portion of the canvas is selected, then reload the file, the selection marquee will not be there. There is no visual feedback of the actual seelction.

(If you add to the "invisible" selection with the selection tools, the marquee shown will be the new one, even when the entire selection has grown. Using Deselect will clear the selection as expected.) 

Reproducing this bug is straightforward:
1- Create a new file
2- Select a portion of the canvas
3- Save the file as .kra, and close it
4- Load the file again
5- Note there is no marquee on screen.
6- Draw with the brush. It will only draw in the part that was selected earlier.
Comment 1 Dmitry Kazakov 2013-12-27 08:14:32 UTC
Git commit 765d53cd29c61b736bdb5c800ff8c33501dc71b0 by Dmitry Kazakov.
Committed on 27/12/2013 at 08:13.
Pushed by dkazakov into branch 'master'.

Fix invalidating the outline cache when loading the selection from a file

M  +7    -0    krita/image/kis_pixel_selection.cpp
M  +2    -0    krita/image/kis_pixel_selection.h

http://commits.kde.org/calligra/765d53cd29c61b736bdb5c800ff8c33501dc71b0
Comment 2 Dmitry Kazakov 2013-12-28 14:58:39 UTC
Git commit 919d3b4689dc35a6a967bb166c7b2138078b4b0b by Dmitry Kazakov.
Committed on 27/12/2013 at 08:13.
Pushed by dkazakov into branch 'calligra/2.8'.

Fix invalidating the outline cache when loading the selection from a file

M  +7    -0    krita/image/kis_pixel_selection.cpp
M  +2    -0    krita/image/kis_pixel_selection.h

http://commits.kde.org/calligra/919d3b4689dc35a6a967bb166c7b2138078b4b0b